Subject: Re: bug#53866: face-attribute giving bold for ultra-bold attribute

From: goncholden <[email-masked]>
Date: Tue, 08 Feb 2022 22:34:39 +0000

------- Original Message -------
On Tuesday, February 8th, 2022 at 7:38 PM, Eli Zaretskii <[email-masked]> wrote:
> Cc: [email-masked], [email-masked]
> Date: Tue, 08 Feb 2022 17:00:38 +0000
> From: goncholden via "Bug reports for GNU Emacs,
> the Swiss army knife of text editors" [email-masked]
>
> It is very confusing. I loaded a random elisp file and run the command in the middle of the buffer
>
> to get
>
> Type C-x 1 to delete the help window, C-M-v to scroll help.
>
> Char: C-j (10, #o12, #xa) point=11866 of 22678 (52%) column=0
>
> End of buffer
>
>              position: 11866 of 22678 (52%), column: 0
>             character: C-j (displayed as C-j) (codepoint 10, #o12, #xa)
>               charset: ascii (ASCII (ISO646 IRV))
>
>
> code point in charset: 0x0A
> script: latin
> syntax: > which means: endcomment
> to input: type "C-x 8 RET a" or "C-x 8 RET LINE FEED (LF)"
> buffer code: #x0A
> file code: #x0A (encoded by coding system prefer-utf-8-unix)
> display: no font available

Put the cursor on a character that has a visible glyph. You have put
it on a newline, which leaves no trace on display, so you get "no
font" for that.

Now I understand what I have to do.  I went on a word and I get the
font name when I execute the command C-u C-x =

Is there a way emacs can list fonts that closely match some attribute
like ultra-bold.  Deos emacs know the list of fonts one could use?